% oxygen offset of lIODW from origin and AS 1800m depth
lIODW_oxygen=[200 248 299 264 251 252 224 162 170  293 294];
AS_oxygen_1800m=[64 136 159 127 131 124 143 122 97  167 252];

offset=lIODW_oxygen-AS_oxygen_1800m;
ii=(1:11);

% plot
fig=figure(1);
clf
sp1=subplot(1,1,1);
plot(ii(1),lIODW_oxygen(1),'^','color','k','MarkerSize',13,'LineWidth',2)
hold on
plot(ii(1),AS_oxygen_1800m(1),'o','color','k','MarkerSize',13,'LineWidth',2,'MarkerFaceColor','k')

plot(ii([2:5]),lIODW_oxygen([2:5]),'^','color',[0 .3 .7],'MarkerSize',13,'LineWidth',2)
plot(ii(6:9),lIODW_oxygen(6:9),'^','color',[0.8510    0.3725    0.0078],'MarkerSize',13,'LineWidth',2)
plot(ii(10:11),lIODW_oxygen(10:11),'^','color',[.106 .62 .4],'MarkerSize',13,'LineWidth',2)

plot(ii([2:5]),AS_oxygen_1800m([2:5]),'o','color',[0 .3 .7],'MarkerSize',13,'LineWidth',2,'MarkerFaceColor',[0 .3 .7])
plot(ii(6:9),AS_oxygen_1800m(6:9),'o','color',[0.8510    0.3725    0.0078],'MarkerSize',13,'LineWidth',2,'MarkerFaceColor',[0.8510    0.3725    0.0078])
plot(ii(10:11),AS_oxygen_1800m(10:11),'o','color',[.106 .62 .4],'MarkerSize',13,'LineWidth',2,'MarkerFaceColor',[.106 .62 .4])


legend('IODW','1800m, Arabian Sea','Location','southeast')
legend('boxoff')
xticks([0:12])

set(gca,'FontSize', 23)
ylabel('Oxygen concentration [\mumol/l]')
xlim([0 12])
ylim ([50 350])


labels = {'  ','WOA13 ',' CESM1-BGC','GFDL-ESM2G ',' MPI-ESM-LR','MPI-ESM-MR ',' GFDL-ESM2M','HadGEM2-ES ',' IPSL-CM5A-LR','IPSL-CM5A-MR ',' MRI-ESM1','NorESM1-ME ','  '};
labels = cellfun(@(x) strrep(x,' ','\newline'), labels,'UniformOutput',false);
a = gca;
a.XTickLabel = labels;

%%
set(fig,'Position',[256         312        1017         430]);
p=get(sp1,'pos');
    p(1)= p(1)-0.04; p(2)=p(2); p(3)=p(3)+0.1; p(4)=p(4);
    set(sp1,'pos',p);
    