% compare mean of different time periods for CMIP5 oxygen data
% mean 1950-1999 minus mean 1900-1949


clear all
%% load data
% define list of model names
% -> model data load later in a loop

list2= [...
%     'CESM1-BGC   ';...
    'GFDL-ESM2G  ';...
%     'GFDL-ESM2M  ';...
    'HadGEM2-CC  ';...
%     'IPSL-CM5A-LR';...
    'IPSL-CM5A-MR';...
%     'MPI-ESM-LR  ';...
    'MPI-ESM-MR  ';...
%     'MRI-ESM1    ';...
    'NorESM1-ME  ';...
    ];
list1= [...
    'CESM1-BGC   ';...   
%     'GFDL-ESM2G  ';...
    'GFDL-ESM2M  ';...
%     'HadGEM2-CC  ';...
    'IPSL-CM5A-LR';...
%     'IPSL-CM5A-MR';...
    'MPI-ESM-LR  ';...
%     'MPI-ESM-MR  ';...
    'MRI-ESM1    ';...
%     'NorESM1-ME  ';...
    ];
% color
colors=[0 .3 .7 1;0.8510    0.3725    0.0078 1;0.8510    0.3725    0.0078 .4;0 .3 .7 .4;.106 .62 .47 1];

% WOA 13
lon=ncread('/Volumes/Geomar_data/WOA13/oxygen/woa13_all_o00_01.nc','lon');
lat=ncread('/Volumes/Geomar_data/WOA13/oxygen/woa13_all_o00_01.nc','lat');
ix=find(lon<=67&lon>=61); lon=lon(ix);
iy=find(lat>=16&lat<=22);  lat=lat(iy);
depth=ncread('/Volumes/Geomar_data/WOA13/oxygen/woa13_all_o00_01.nc','depth');
depth_bnds=ncread('/Volumes/Geomar_data/WOA13/oxygen/woa13_all_o00_01.nc','depth_bnds');

% oxygen in ml/l
oxygen=ncread('/Volumes/Geomar_data/WOA13/oxygen/woa13_all_o00_01.nc','o_an');
oxygen_woa=oxygen(ix,iy,:,:)*40;  % in umol/l


%% create depth profiles of data in the Arabain Sea
oxygen_woa=squeeze(nanmean(nanmean(oxygen_woa,1),2));

%% load data and plot profiles
cd /Volumes/Geomar_data/ % Laptop mit Festplatte

figure(7)
hold on


A=zeros(size(list1,1),length(oxygen_woa));
for istep=1:size(list1,1)
    % load model data
    oxygen1=ncread([strcat(list1(istep,:)) '/gridint_woa13_' strcat(list1(istep,:)) '_o2_tmean_1900-1949.nc'],'O2NEW');
    oxygen2=ncread([strcat(list1(istep,:)) '/gridint_woa13_' strcat(list1(istep,:)) '_o2_tmean_1950-1999.nc'],'O2NEW');
%     oxygen3=ncread([strcat(list(istep,:)) '/gridint_woa13_' strcat(list(istep,:)) '_o2_tmean_1900-1999.nc'],'O2NEW');
    oxygen=oxygen2-oxygen1;
    oxygen=squeeze(nanmean(nanmean(oxygen(ix,iy,:),1),2))*1000;
    
    A(istep,:)=oxygen;
    plot(A(istep,:),depth,'LineWidth',3,'color',colors(istep,:))  
    
    oxygen1=ncread([strcat(list2(istep,:)) '/gridint_woa13_' strcat(list2(istep,:)) '_o2_tmean_1900-1949.nc'],'O2NEW');
    oxygen2=ncread([strcat(list2(istep,:)) '/gridint_woa13_' strcat(list2(istep,:)) '_o2_tmean_1950-1999.nc'],'O2NEW');
%     oxygen3=ncread([strcat(list(istep,:)) '/gridint_woa13_' strcat(list(istep,:)) '_o2_tmean_1900-1999.nc'],'O2NEW');
    oxygen=oxygen2-oxygen1;
    oxygen=squeeze(nanmean(nanmean(oxygen(ix,iy,:),1),2))*1000;
    
    A(istep,:)=oxygen;
    plot(A(istep,:),depth,'LineWidth',3,'color',colors(istep,:),'linestyle','--')  
end
clear oxygen oxygen1 oxygen2
legend('CESM1-BGC','GFDL-ESM2G','GFDL-ESM2M','HadGEM2-ES','IPSL-CM5A-LR','IPSL-CM5A-MR','MPI-ESM-LR','MPI-ESM-MR','MRI-ESM1','NorESM1-ME','Location','southeast')
legend('boxoff')

ylim([0 3700])
axis ij
set(gca,'FontSize', 20)
xlabel('Oxygen concentration [\mumol/l]')
ylabel('Depth [m]')
box on
