DOI: http://dx.doi.org/10.3289/SW_1_2021

#   Causes of uncertainties in the representation of the Arabian Sea oxygen minimum zone in CMIP5 models                        #
#                                                                  #
#   H. Schmidt, J. Getzlaff, U. Löptien, A. Oschlies               #
                                                                
(Ocean Science)				                      	   
                                                                  
Correspondence to: 	Henrike Schmidt   (hschmidt@geomar.de)     
   							                              	   
Global models show generally a large model-data misfit with regard to oxygen. One of the most intense OMZs is located in the Arabian Sea. The scripts serve to give an overview of the main model deficiencies in the Indian Ocean with a detailed comparison of the historical state of ten climate models from the 5th coupled model intercomparison project (CMIP5) that present our present-day understanding of physical and biogeochemical processes.

------
Setup
-----
1. Download all the data from the links provided below.
2. Prepare the data for further analysis by bringing them to the same grid and average them over the requested periode of time.
3. The MATLAB scribts provide the needed analyses and the plotting routines.

--------------
Used Data Sets
--------------
CMIP5 historical experiment: https://esgf-node.llnl.gov/projects/cmip5/

WOA13 observations: https://www.nodc.noaa.gov/OC5/woa13/woa13data.html


----------------------------------------------------
CMIP5 Data Preparation - Bring Them To The Same Grid
----------------------------------------------------

FILES:	OneDegGridDefinition.asc (grid similar to the grid used for the WOA13 data)
		data set files as named in the interp_*_on_WOA13.jnl

SCRIPTS:	regrid.sh
			interp_oxygen_on_WOA13.jnl
			interp_temperature_on_WOA13.jnl
			interp_salinity_on_WOA13.jnl

Note that all the files, data and the scripts have to be in one folder. Set the corresponding interp_*_on_WOA13.jnl file for the different variables in regrid.sh and run regrid.sh.


-------------------------------------------
Average Model Data To The Requested Periode
-------------------------------------------

ncra -d TIME,'startdate','enddate' '*inputlist.nc' 'outputfile.nc'

EXAMPLE: ncra -d TIME,1900-01-01,1949-12-31 gridint_woa13_o2_Oyr_NorESM1-ME_historical_r1i1p1_*.nc gridint_woa13_NorESM1-ME_o2_tmean_1900-1949.nc


----------------------------------------
MATLAB Scripts For Analysis And Plotting
----------------------------------------

Fig 1 & S1-S3: CMIP5_sourceregions_plot.m 

Fig.2: CMIP5_watermassmixinganalysis.m

Fig.3: CMIP5_watermassmixinganalysis.m 

Fig.4: CMIP5_3D_OMZ_comparrison.m

Fig.5: CMIP5_clusteranalysis.m

Fig.6: CMIP5_oxygen_offset.m

Fig.S5: CMIP5_time_period_comparison.m
 


